OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDF

# XmlMDF_TypeADriverMap Class Reference

`#include <XmlMDF_TypeADriverMap.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XmlMDF_TypeADriverMap (const Standard_Integer NbBuckets=1)
Standard_EXPORT XmlMDF_TypeADriverMap & | Assign (const XmlMDF_TypeADriverMap &Other)
XmlMDF_TypeADriverMap & | operator= (const XmlMDF_TypeADriverMap &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~XmlMDF_TypeADriverMap ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(Standard_Type)&K, const Handle(XmlMDF_ADriver)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(Standard_Type)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(Standard_Type)&K)
Standard_EXPORT const Handle_XmlMDF_ADriver & | Find (const Handle(Standard_Type)&K) const
const Handle_XmlMDF_ADriver & | operator() (const Handle(Standard_Type)&K) const
Standard_EXPORT Handle_XmlMDF_ADriver & | ChangeFind (const Handle(Standard_Type)&K)
Handle_XmlMDF_ADriver & | operator() (const Handle(Standard_Type)&K)
## Private Member Functions
Standard_EXPORT | XmlMDF_TypeADriverMap (const XmlMDF_TypeADriverMap &Other)

## Constructor & Destructor Documentation

Standard_EXPORT XmlMDF_TypeADriverMap::XmlMDF_TypeADriverMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

XmlMDF_TypeADriverMap::~XmlMDF_TypeADriverMap | ( |  | ) | `[inline]`

Standard_EXPORT XmlMDF_TypeADriverMap::XmlMDF_TypeADriverMap | ( | const XmlMDF_TypeADriverMap & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT XmlMDF_TypeADriverMap& XmlMDF_TypeADriverMap::Assign | ( | const XmlMDF_TypeADriverMap & | Other | ) |

Standard_EXPORT Standard_Boolean XmlMDF_TypeADriverMap::Bind | ( | const Handle(Standard_Type)& | K,
|  | const Handle(XmlMDF_ADriver)& | I
| ) |

Standard_EXPORT Handle_XmlMDF_ADriver& XmlMDF_TypeADriverMap::ChangeFind | ( | const Handle(Standard_Type)& | K | ) |

Standard_EXPORT void XmlMDF_TypeADriverMap::Clear | ( |  | ) |

Standard_EXPORT const Handle_XmlMDF_ADriver& XmlMDF_TypeADriverMap::Find | ( | const Handle(Standard_Type)& | K | ) | const

Standard_EXPORT Standard_Boolean XmlMDF_TypeADriverMap::IsBound | ( | const Handle(Standard_Type)& | K | ) | const

void XmlMDF_TypeADriverMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMDF_TypeADriverMap::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMDF_TypeADriverMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_XmlMDF_ADriver& XmlMDF_TypeADriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | `[inline]`

const Handle_XmlMDF_ADriver& XmlMDF_TypeADriverMap::operator() | ( | const Handle(Standard_Type)& | K | ) | const`[inline]`

XmlMDF_TypeADriverMap& XmlMDF_TypeADriverMap::operator= | ( | const XmlMDF_TypeADriverMap & | Other | ) | `[inline]`

Standard_EXPORT void XmlMDF_TypeADriverMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean XmlMDF_TypeADriverMap::UnBind | ( | const Handle(Standard_Type)& | K | ) |

The documentation for this class was generated from the following file:

- XmlMDF_TypeADriverMap.hxx